/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Thoracic Tissue Segmentation Types
 */
public enum EnumCM_ThoracicTissueSegmentationTypes {

	//CID 7155 Thoracic Tissue Segmentation Types
	BLOOD_VESSEL("Blood Vessel"),
	BONE_OF_THORAX("Bone of thorax"),
	BRONCHUS("Bronchus"),
	CHEST_WALL_MUSCLE("Chest wall muscle"),
	CLAVICLE("Clavicle"),
	DIAPHRAGM("Diaphragm"),
	ESOPHAGUS("Esophagus"),
	LOWER_LOBE_OF_LUNG("Lower lobe of lung"),
	LUNG("Lung"),
	MEDIASTINUM("Mediastinum"),
	MIDDLE_LOBE_OF_RIGHT_LUNG("Middle lobe of right lung"),
	PLEURA("Pleura"),
	RIB("Rib"),
	SKIN_OF_CHEST("Skin of chest"),
	STERNUM("Sternum"),
	THORACIC_SPINE("Thoracic spine"),
	THORAX("Thorax"),
	TRACHEA("Trachea"),
	THYMUS("Thymus"),
	UPPER_LOBE_OF_LUNG("Upper lobe of lung");
	
	private String value;
	
	EnumCM_ThoracicTissueSegmentationTypes(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
